## net.sf.saxon.query
Class StandardModuleURIResolver

    java.lang.Object
      net.sf.saxon.query.StandardModuleURIResolver

All Implemented Interfaces:
  Serializable, ModuleURIResolver

    public class StandardModuleURIResolver

extends Object
implements ModuleURIResolver

This class is the standard ModuleURIResolver used to implement the "import module" declaration in a Query Prolog. It is used when no user-defined ModuleURIResolver has been specified, or when the user-defined ModuleURIResolver decides to delegate to the standard ModuleURIResolver.

Author:
  Michael H. Kay
See Also:
  Serialized Form

Constructor Summary
`StandardModuleURIResolver(Configuration config)`

Method Summary
`StreamSource[]` `resolve(String moduleURI, String baseURI, String[] locations)` Resolve a module URI and associated location hints.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardModuleURIResolver

    public StandardModuleURIResolver(Configuration config)

Method Detail

### resolve

    public StreamSource[] resolve(String moduleURI,
                                  String baseURI,
                                  String[] locations)
                           throws XPathException

  Resolve a module URI and associated location hints.

  Specified by:
    `resolve` in interface `ModuleURIResolver`
  Parameters:
    `moduleURI` - The module namespace URI of the module to be imported; or null when loading a non-library module.
    `baseURI` - The base URI of the module containing the "import module" declaration; null if no base URI is known
    `locations` - The set of URIs specified in the "at" clause of "import module", which serve as location hints for the module
  Returns:
    an array of StreamSource objects each identifying the contents of a module to be imported. Each StreamSource must contain a non-null absolute System ID which will be used as the base URI of the imported module, and either an InputSource or a Reader representing the text of the module.
  Throws:
    `XPathException` - if the module cannot be located

Copyright (C) Michael H. Kay. All rights reserved.